/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.kinako.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

/**
 * エンコーディングフィルタ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class StandardEncodingFilter implements Filter {
	public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
		req.setCharacterEncoding("Windows-31J");
		req.setCharacterEncoding("Windows-31J");
		chain.doFilter(req, res);
	}
	public void init(FilterConfig config) throws ServletException {
	}
	public void destroy() {
	}
}
